# List providers (/api-reference/reference/list-providers)

## List providers

`GET https://data.tryopengrid.com/v1/providers`

Every provider: meta, coverage, relative value, feed health.

### Parameters

- `days` (query, integer)
- `limit` (query, integer)
- `cursor` (query, any)
- `OpenGrid-Version` (header, string): The API version to shape the response for. Default: the version pinned to your key.

### Response `data`

- `coverage` (object)
  - `architectures` (array of string)
  - `gpu_ids` (array of string)
  - `gpus` (number)
  - `listings` (object)
  - `region_groups` (array of string)
- `facts` (array of string)
- `feed_health` (null | object)
  - `avg_latency_ms_24h` (null)
  - `failure_rate_24h` (number)
  - `fetches_24h` (number)
  - `last_fetch` (string)
  - `last_ok_fetch` (string)
  - `reason` (null)
- `listing_lifetime` (null | object)
  - `label` (string)
  - `listings` (number)
  - `median_hours` (null | number)
  - `reason` (null | string)
- `note` (string)
- `provider` (string)
- `provider_class` (string)
- `provider_name` (string)
- `relative_value` (null | object)
  - `availability` (number)
  - `cheapest_share` (number)
  - `premium_avg` (number)
  - `reasons` (object)
  - `samples` (object)
  - `top3_share` (number)
  - `volatility_daily` (null | number)
- `source` (string)
- `source_type` (string)
- `website` (string)

Every success is `{"data": ..., "meta": {as_of, api_version, request_id, next_cursor?}}`.

### Example

```bash
curl "https://data.tryopengrid.com/v1/providers" \
  -H "Authorization: Bearer $OPENGRID_API_KEY"
```